CMSIS-DSP: arm_svm_example_f32.c File Reference

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
arm_svm_example_f32.c File Reference

## Macros

#define | NB_SUPPORT_VECTORS
#define | VECTOR_DIMENSION

## Functions

int32_t | main (void)

## Variables

arm_svm_polynomial_instance_f32 | params
const float32_t | dualCoefficients [NB_SUPPORT_VECTORS]
const float32_t | supportVectors [NB_SUPPORT_VECTORS *VECTOR_DIMENSION]
const int32_t | classes [2]

## Macro Definition Documentation

#define NB_SUPPORT_VECTORS

Examples:
  arm_svm_example_f32.c.

#define VECTOR_DIMENSION

Examples:
  arm_svm_example_f32.c.

## Function Documentation

int32_t main | ( | void |  | ) |

Examples:
  arm_svm_example_f32.c.

## Variable Documentation

const int32_t classes[2]

Examples:
  arm_svm_example_f32.c.

const float32_t dualCoefficients[NB_SUPPORT_VECTORS]

Examples:
  arm_svm_example_f32.c.

arm_svm_polynomial_instance_f32 params

Examples:
  arm_svm_example_f32.c.

const float32_t supportVectors[NB_SUPPORT_VECTORS *VECTOR_DIMENSION]

Examples:
  arm_svm_example_f32.c.